Go to the latest version of this document.

# ``twisted`.`names`.`dns`.`SimpleRecord``

class documentation

`class SimpleRecord(tputil.FancyStrMixin, tputil.FancyEqMixin): (source)`

Known subclasses: `twisted.names.dns.Record_CNAME`, `twisted.names.dns.Record_DNAME`, `twisted.names.dns.Record_MB`, `twisted.names.dns.Record_MD`, `twisted.names.dns.Record_MF`, `twisted.names.dns.Record_MG`, `twisted.names.dns.Record_MR`, `twisted.names.dns.Record_NS`, `twisted.names.dns.Record_PTR`

Constructor: `SimpleRecord(name, ttl)`

Implements interfaces: `twisted.names.dns.IEncodableRecord`

View In Hierarchy

A Resource Record which consists of a single RFC 1035 domain-name.

Method | `__hash__` | Undocumented
Method | `__init__` | No summary
Method | `decode` | Reconstruct an object from data read from the given file object.
Method | `encode` | Write a representation of this object to the given file object.
Constant | `TYPE` | An indicator of what kind of record this is.
Class Variable | `compareAttributes` | Undocumented
Class Variable | `showAttributes` | Undocumented
Instance Variable | `name` | The name associated with this record.
Instance Variable | `ttl` | The maximum number of seconds which this record should be cached.

Inherited from `FancyStrMixin`:

Method | `__str__` | Undocumented

Inherited from `FancyEqMixin` (via `FancyStrMixin`):

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __hash__(self): (source)

Undocumented

def __init__(self, name=b'', ttl=None): (source)

Parameters
name:`bytes` or `str` | See `SimpleRecord.name`
ttl | Undocumented

def decode(self, strio, length=None): (source)
from `twisted.names.dns.IEncodable`

Reconstruct an object from data read from the given file object.

Parameters
strio:File-like object | A seekable buffer from which bytes may be read.
length:`int` or `None` | The number of bytes in this RDATA field. Most implementations can ignore this value. Only in the case of records similar to TXT where the total length is in no way encoded in the data is it necessary.

def encode(self, strio, compDict=None): (source)
from `twisted.names.dns.IEncodable`

Write a representation of this object to the given file object.

Parameters
strio:File-like object | The buffer to write to. It must have a `tell()` method.
compDict:`dict` of `bytes` to `int` r `None` | A mapping of names to byte offsets that have already been written to the buffer, which may be used for compression (see RFC 1035 section 4.1.4). When `None`, encode without compression.

TYPE: `int | None` = (source)
from `twisted.names.dns.IRecord`

An indicator of what kind of record this is.

Value

    None

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

showAttributes: `tuple` = (source)
overrides `twisted.python.util.FancyStrMixin.showAttributes`

Undocumented

name: `Name` = (source)

The name associated with this record.

ttl: `int` = (source)

The maximum number of seconds which this record should be cached.